Subject: RE: Can't use od to print half-precision floats

From: "Rozenberg, Eyal (Consultant)" <[email-masked]>
Date: Thu, 1 Feb 2024 12:58:16 +0000

I neglected to mention I'm using a version pulled from git yesterday, i.e.

$ od --version
od (GNU coreutils) 9.4.114-6ec1f

on a SLES 15 SP1 GNU/Linux system, x86_64 hardware, kernel version 4.12.14 .

From: Rozenberg, Eyal (Consultant)
Sent: Thursday, 1 February 2024 14:44
To: [email-masked]
Subject: Can't use od to print half-precision floats

If I try to use the od utility to print half-precision (FP16) floating-point values, I get:

$ od -t f2 myfloats.bin
od: invalid type string 'f2';
this system doesn't provide a 2-byte floating point type

I'm not exactly sure what "this system" means, but that should work and print out my floats.

Eyal

PS - This is my first bug-coreutils post, please be gentle.